<?php

require 'header.php';

includeHTMLHeader("Link Manager");

?>
<h3 class='center-align'>Links</h3>
<?php if ( $_SESSION['validated'] ) { ?>
<div class='row center-align'><a href='#!' class='tooltipped' data-position='bottom' data-tooltip='Register a new link' onClick='openEditLinkModal()'>Add A New Link</a></div>
<?php } ?>
<table class='bordered striped highlight'>
  <thead>
    <tr>
      <th>URL</th>
      <th>Title</th>
      <th>Description</th>
    </tr>
  </thead>
  <tbody id='linklist'></tbody>
</table>
<div id='editlink_modal' class='modal'>
  <div class='modal-content'>
    <input type='hidden' id='editlink_id' value='0' />
    <div class='row center-align'>
      <h3 id='editlink_modaltitle'>Link Data</h3>
    </div>
    <div class='row center-align'>
      <form class='col s6 offset-s3'>
        <div class='row'>
          <div class='input-field col s10 offset-s1'>
            <input id='editlink_url' type='text' value='' />
            <label for='editlink_url'>URL</label>
          </div>
        </div>
        <div class='row'>
          <div class='input-field col s10 offset-s1'>
            <input id='editlink_title' type='text' value='' />
            <label for='editlink_title'>Title</label>
          </div>
        </div>
        <div class='row'>
          <div class='input-field col s10 offset-s1'>
            <input id='editlink_description' type='text' value='' />
            <label for='editlink_description'>Description</label>
          </div>
        </div>
      </form>
    </div>
  </div>
  <div class='modal-footer'>
    <div class='col s1 offset-s2'>
      <a href='#!' id='editlink_modal_delete' class='btn-small red'>Delete</a>
    </div>
    <div class='col s2 offset-s2'>
      <a href='#!' id='editlink_modal_save' class='btn-small'>Save</a>
    </div>
    <div class='col s1 offset-s2'>
      <a href='#!' id='editlink_modal_cancel' class='btn-small'>Cancel</a>
    </div>
  </div>
</div>
<?php

includeHTMLFooter();

